
Name:          maven-dependency-tree
Version:       2.0
Release:       1%{?dist}
Summary:       Maven dependency tree artifact
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://maven.apache.org/
Source0:       http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-artifact
BuildRequires: maven-project
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: plexus-containers-component-metadata
BuildRequires: plexus-containers-component-annotations

Requires:      maven
Requires:      maven-project
Requires:      maven-artifact
Requires:      plexus-containers-component-annotations
Requires:      java
Requires:      jpackage-utils


BuildArch:     noarch

Provides: maven-shared-dependency-tree = %{version}-%{release}
Obsoletes: maven-shared-dependency-tree < %{version}-%{release}

%description
Apache Maven dependency tree artifact. Originally part of maven-shared

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%pom_add_dep org.apache.maven:maven-compat:3.0.4
%pom_add_dep org.apache.maven:maven-artifact:2.2.1

%build
# we have no jmock yet
mvn-rpmbuild -Dproject.build.sourceEncoding=utf-8 \
             -Dmaven.test.skip=true \
             package javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Wed Oct 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-1
- Initial package
